%define name       froxlor
%define version    0.9.28.1
%if 0%{?suse_version}
%define apache_serverroot /srv/www/htdocs
%endif
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?redhat_version} || 0%{?centos_version}
%define apache_serverroot /var/www/html
%endif

Name:           %{name}
Version:        %{version}
Release:        2.1
Source0:        froxlor-%{version}.tar.bz2
Source1:        froxlor.suse.adapt.template.config.tar.bz2 
Patch0:  	froxlor-0.9.28.1-sql.patch
URL:            http://www.froxlor.org
License:        GPLv2 http://files.froxlor.org/misc/COPYING.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Group:          Productivity/Networking/Web/Utilities
Summary:        Froxlor Server Management Panel a php web-based administration software

%if 0%{?suse_version}
BuildRequires:  apache2
Requires:       apache2, apache2-mod_php5, php5, php5-mysql, php5-posix, php5-bcmath, postfix, mysql, courier-imap, courier-authlib, courier-authlib-mysql, courier-authlib-userdb, cyrus-sasl-sqlauxprop, cyrus-sasl-saslauthd, pure-ftpd
%endif

%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?redhat_version} || 0%{?centos_version}
BuildRequires:	httpd
Requires:	httpd, php, php-mysql, php-bcmath, postfix, mysql-server, courier-imap, courier-authlib, courier-authlib-mysql, courier-authlib-userdb, cyrus-sasl-sql, cyrus-sasl, proftpd
%endif


%description
A Server Management Panel is a php web-based administration software.
Developed by experienced server administrators and based on the system control panel SysCP with main focus on simplicity and usability.

Froxlor can help you set up and manage a lot of system-services, like web-, mail- and ftpserver and it also brings some nice features such as a complete support-ticket system and an implementation of the Application Packaging Standard.

%prep
%setup -q -n  %{name}
%setup1 -T -D -b 1 -n %{name}
%setup2 -T -D -b 1 -n %{name}
%if 0%{?suse_version}
%patch0  
%endif

%build

%install
idir=$RPM_BUILD_ROOT%{apache_serverroot}/%{name}
mkdir -p $idir
cp -aRf * $idir
find $idir -type f -iname \*.orig -exec rm {} \;

%if 0%{?suse_version}
echo "froxlor installation see doc http://wiki.froxlor.org/contrib/opensuse-11.x" > $idir/README.SUSE
echo "see also froxlor website http://www.froxlor.org/" >> $idir/README.SUSE
echo "For SLE11 and SLE10 see README" >> $idir/README.SUSE
%endif

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,wwwrun,www)
%{apache_serverroot}/%{name}


%changelog
* Fri Apr 12 2013 cs@linux-administrator.com
- update to release 0.9.28.1
  + #536 Use complete domain name as default path for DocumentRoot
  + #1150 added possibility to add random prefixes to a customers database-name
  ~ #668 fixed FreeBSD 8.2: Bind 9 is missing from list of Daemons
  ~ #758 fixed bug in "Amount of APS installations" counter
  ~ #916 fixed webserver-specific default vHost settings don't work in ligHTTPd
  ~ #1023 fixed Redirect with SSL Enabled Domain
  ~ #1058 fixed bug in "Amount of autoresponders" counter
  ~ #1085 fixed incorrect configuration command for awstats under Gentoo
  ~ #1127 fixed falsely used e-mail sender name
  ~ #1134 updated default parameter list of sendmail-program in php.ini-template
  ~ #1136 fixed falsely added specialsettings to a ssl-redirect
  ~ #1160 fixed usage of empty value for CertificateChainFile (it's allowed)
  ~ #1172 cleaned up language files
  ~ #1173 fixed redirect to "ip:port"
  ~ #1180 fixed clean-up if fcgid/php-fpm configurations
* Sat May 12 2012 cs@linux-administrator.com
- update to release 0.9.27
  * Bug #700: APS template errors
  * Bug #992: Can't enable FTP Backup
  * Bug #1022: Remove php-fpm-specific configuration (files) correctly
  * Bug #1025: cron_traffic.php causes mysql error
  * Bug #1027: Unavailable repository 'gentoo_prefix' referenced by masters entry in layman
  * Bug #1028: Traffic-Cron - missing php-extension?
  * Bug #1032: Error while creating a new customer in 0.9.26 (posix_getpwuid())
  * Bug #1033: Natural sorting function for customers doesn't work
  * Bug #1034: Froxlor Install / Upgraded SysCP: Unknown tables
  * Bug #1037: [Security Bug] Customers can access all tickets
  * Feature #1010: Provide setting for special logfiles after creating domains
  * Feature #1017: Fast CGI Idle Timeout
  * Feature #1030: Use the name "Administrator" in the mail body instead of Froxlor-Team
  * Feature #1031: Improve customer default index.html file
  * Bug #1019: Debian GPG keyserver unreachable
  * Bug #1061: Current froxlor ebuilds needs non-existant php use flag "pcre" to build
* Sat Feb 11 2012 cs@linux-administrator.com
- update to release 0.9.26
  * Bug #430: Updating debian packages resets owner (Froxlor FCGID)
  * Bug #705: traffic reports are malformed
  * Bug #723: Debian package depends on apache2-mpm-prefork
  * Bug #788: Gentoo ebuild requires inexistent useflag
  * Bug #962: Froxlor customer change the owner of the linux home dir
  * Bug #977: Traffic takes a long time to calculate
  * Bug #979: Debian Squeeze: Dovecot quota SQL config
  * Bug #982: alias.url directive invalid for awstats using lighttpd
  * Bug #983: Official Debian packages is missing /js folder
  * Bug #987: typo within german lng file - webserver settings
  * Bug #990: nginx: Missing configuration data within virtual host files
  * Bug #993: [eBuild] Wrong directory permissions on gentoo
  * Bug #999: awstats config file error, incl. bugfix
  * Bug #1001: Classic theme, wrong icon path in backup.tpl. incl bug fix
  * Bug #1002: classic theme, customer backup can not be enabled and disabled in gui, incl bug fix
  * Bug #1004: Cron scripts won't be executed successfully if nameserver is disabled
  * Bug #1012: Apache: ServerAlias length limit not obeyed
  * Bug #1013: Wrong rc-update command in Gentoo configfiles in DKIM section
  * Feature #964: Disable Nameserver
  * Feature #976: Allow 100%% or more as value for the limit warning message
  * Feature #980: nginx configuration: security improvement
  * Feature #985: Improve PHP default config of Froxlor
* Tue Nov 15 2011 cs@linux-administrator.com
- update to release 0.9.25
  * Bug #696: Traffic overview: display error and problems with the value
  * Bug #779: froxlor-0.9.19 ebuild sandbox ACCESS VIOLATION
  * Bug #781: Bind forgets to add www. for Subdomains
  * Bug #869: Customer search does not work if there is a underscore in the searchtext
  * Bug #924: FreeBSD: Postfix missing mydestination
  * Bug #926: Small qouta fix
  * Bug #928: "Access Froxlor directly via the hostname" activation fails
  * Bug #929: User unknown in virtual mailbox table (in reply to RCPT TO command) after mysql-virtual_alias_maps.cf changed
  * Bug #930: Froxlor/location/auth basic duplicates
  * Bug #932: Ubuntu (lucid) missing config files for nginx
  * Bug #940: Missing field content on some configuration instructions
  * Bug #946: Changing the hostname fails
  * Bug #954: Froxlor package for armel doesn't show up in aptitude
  * Bug #967: "backup_dir" is not in the expected format
  * Bug #970: Cron PHP notice
  * Bug #974: Customer can change password to something not matching minlength and/or Password Regex
  * Feature #111: APS instances overview should display domain, DB and folder
  * Feature #948: Disable backup feature by default
* Tue Oct  4 2011 cs@linux-administrator.com
- update to release 0.9.24
  * Bug #714: Malformed "priority" in ticket archive search
  * Bug #727: Support tickets eats html codes
  * Bug #743: Very confusing overview in admin panel
  * Bug #749: wrong location declaration in nginx 1.0 - freebsd 8.2, php-fpm, php 5.3.5
  * Bug #761: [Backup] Unnecessary text
  * Bug #762: [Backup] FTP password is in plain text
  * Bug #787: Display error on traffic bar
  * Bug #791: 'Unknown User' at traffic calculation if user is locked
  * Bug #799: Bind9 zone files on ipv6
  * Bug #859: Froxlor saves backups in customer directory
  * Bug #870: Empty "ServerName" possible
  * Bug #872: Deleting a customer fails if a MySQL-User is already deleted
  * Bug #879: Completely suspend/disable a email client
  * Bug #880: Webserver user-name label missing in Settings (English)
  * Bug #889: Modernize bash init-script (/etc/init.d/php-fcgi for nginx)
  * Feature #16: Rotate customer logs
  * Feature #834: Database size in Froxlor
  * Feature #848: create a domain, which will only relay mail is not possible
  * Feature #875: favicon for froxlor
* Fri Sep  2 2011 cs@linux-administrator.com
- update to release 0.9.23
  * Bug #469: Prevent autocompletion for new customer dialog
  * Bug #728: temp folder is not deleted
  * Bug #780: Checkbox doesn't "check" if domain is a wildcard
  * Bug #793: catchall checkbox while creating e-mail address is not working
  * Bug #842: webftp.php file upload fails, Typo
  * Bug #846: PHP-FPM tmpdir permission bug
  * Bug #851: Add "--force" option to mysql backups, to prevent empty sql backups
  * Feature #814: Use filesystem quota to enforce limit of diskspace - usage by customer
* Tue Jul 12 2011 cs@linux-administrator.com
- update to release 0.9.22
  * Added security relevant HTTP - headers (X-Content-Security-Policy, X-Frame-Options, Strict-Transport-Security and X-Content-Type-Options: nosniff)
  * Generate all links with a new linker - object for easier link - management
  * Updated the included jQuery to version 1.6.1
  * Moved all inline - JavaScript to external file
  * Added WebFTP
  * Bug #756: Natural sorting function for customers doesn't work
  * Bug #768: small improvement in proftp config
  * Bug #800: Broken apache permissions in directories
  * Bug #802: Wrong copyright in default page
  * Bug #813: Language fixes (typo/hyperlinks/HTML)
  * Bug #815: Panel session timout = 0: No timeout expected but login impossible.
  * Bug #817: French translation encoding removed all accents
  * Bug #819: webFTP missing images/css
  * Feature #214: Do not display SQL Errors, write them to error log instead.
  * Feature #556: Safe Mode deprecated in PHP >= 5.3
  * Feature #737: FTP- and Mailquotas
  * Feature #812: Bitte Warnmeldung bei der Abschaltung von safe_mode abschalten
* Tue May 31 2011 cs@linux-administrator.com
- update to release 0.9.21
  * Bug #741: Error when there is a white space in field "registration date"
  * Bug #760: [german] incorrect translations
  * Bug #775: [Backup] Reloading webserver for each users causes SIGTERM and shutting down (apache2)
  * Bug #778: Cannot set domain to use SSL without SSL redirect
  * Bug #784: Allow continuing of uploads in ProFTPd by setting a conf value in proftpd.conf
  * Bug #790: Fix char-errors in Italian language file
  * Feature #280: Kunden Anrede
  * Feature #785: Allow active FTP uploads in backup
* Sat May 14 2011 cs@linux-administrator.com
- update to release 0.9.20.1
  * Bug #730: Debian 6.0
  * Bug #738: 0.9.20 (fresh install): could not create customer
  * Bug #740: Git (/lib/configfiles/squeeze.inc.php): change "lenny" to "squeeze" (2x)
- changes in release 0.9.20
  * Bug #167: Domains should be able to listen on every interface
  * Bug #467: Mail quota should be in the client's limits
  * Bug #655: exim4 should be configured to issue a permanant error on non-existing user
  * Bug #678: Falsche Formatierung bei Passwort-Zurücksetzung
  * Bug #687: PHP and fcgid: Files containing ".php" anywhere in the filename are executed as PHP scripts
  * Bug #690: ungünstige Fehlermeldung bei Hostname als Domain
  * Bug #698: Froxlor doesn't create none-existing directory when changing FTP-homedirectory
  * Bug #699: Recalculate resource usage
  * Bug #704: "Resend password" language variable partly wrong
  * Bug #711: Warning: Division by zero in /var/www/froxlor/scripts/jobs/cron_usage_report.php on line 211
  * Bug #712: Typo "SysLinks" in cron_tasks.inc.http.10.apache.php
  * Bug #718: Domain with TLD-Suffixes of more than 6 characters not possible
  * Bug #722: FreeBSD 8.2 , nginx 0.9.6, php 5.3.5, php-fpm, mysql 5.5.9 - htpasswd generation
  * Bug #725: Froxlor ohne FCGID (mod_php5) setzt User/group falsch
  * Feature #186: Backup-function for Admin and Customer
  * Feature #346: Kennwort Generator oder vorgeschlagene Kennwörter
  * Feature #492: Admin Traffic summary
  * Feature #600: Replace "Webspace (MB): 11.10938 (3000)" with "Webspace (used/max) [MB]: 11.10938 / 3000"
  * Feature #645: General form usability improvements
  * Feature #677: Passwortanforderung für gesperrte Benutzer deaktivieren
